summaryrefslogtreecommitdiffstats
path: root/testsuite/check.sh
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 07:23:00 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 07:23:00 +0000
commit7cad15d85d55c7ad11cb25c2ec5e8cd17ecc84ee (patch)
treec998e3ce491834f84eb9b733c757d83efed25842 /testsuite/check.sh
parentAdding upstream version 1.6~pre1. (diff)
downloadlzip-7cad15d85d55c7ad11cb25c2ec5e8cd17ecc84ee.tar.xz
lzip-7cad15d85d55c7ad11cb25c2ec5e8cd17ecc84ee.zip
Adding upstream version 1.6~pre2.upstream/1.6_pre2
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite/check.sh')
-rwxr-xr-xtestsuite/check.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index 83ebc6f..f871f28 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -5,9 +5,12 @@
# This script is free software: you have unlimited permission
# to copy, distribute and modify it.
+LC_ALL=C
+export LC_ALL
objdir=`pwd`
testdir=`cd "$1" ; pwd`
LZIP="${objdir}"/lzip
+LZIPRECOVER="${objdir}"/lziprecover
framework_failure() { echo 'failure in testing framework'; exit 1; }
if [ ! -x "${LZIP}" ] ; then
@@ -57,6 +60,15 @@ for i in 1 2 3 4 5 6 7 8 9; do
echo -n .
done
+"${LZIP}" -c in in in > out || fail=1
+echo -n "garbage" >> out || fail=1
+"${LZIPRECOVER}" out || fail=1
+for i in 1 2 3; do
+ "${LZIP}" -cd rec0000${i}out > copy || fail=1
+ cmp in copy || fail=1
+ echo -n .
+done
+
echo
if test ${fail} = 0; then
echo "tests completed successfully."